"""Check lines for Boundedness"""

import re

from FileLineAnalyzer import FileLineAnalyzer

class BoundingLineAnalyzer(FileLineAnalyzer):
    """Parses the line for information about variables being bounded

    Writes files of the form bounding_<var>"""

    boundingRegExp="^bounding (.+), min: (.+) max: (.+) average: (.+)$"
    
    def __init__(self):
        FileLineAnalyzer.__init__(self,titles=['Minimum','Maximum','Average'])
        self.exp=re.compile(self.boundingRegExp)

    def doAnalysis(self,line):
        m=self.exp.match(line)
        if m!=None:
            name=m.groups()[0]
            rest=m.groups()[1:]
            self.files.write("bounding_"+name,self.parent.getTime(),rest)
            
    
