"""Basic log analyer with boundedness"""

from StandardLogAnalyzer import StandardLogAnalyzer

from BoundingLineAnalyzer import BoundingLineAnalyzer
from SimpleLineAnalyzer import SimpleLineAnalyzer

class BoundingLogAnalyzer(StandardLogAnalyzer):
    """
    This analyzer also checks for bounded solutions
    """
    def __init__(self,progress=False):
        """
        @param progress: Print time progress on console?
        """
        StandardLogAnalyzer.__init__(self,progress=progress)

        self.addAnalyzer("Bounding",BoundingLineAnalyzer())
        self.addAnalyzer("Courant",SimpleLineAnalyzer("courant","^Mean and max Courant Numbers = (.+) (.+)$"))
