"""Check lines for continuity information"""

import re

from FileLineAnalyzer import FileLineAnalyzer

class ContinuityLineAnalyzer(FileLineAnalyzer):
    """Parses line for continuity information"""

    continutityRegExp="^time step continuity errors : sum local = (.+), global = (.+), cumulative = (.+)$"
    
    def __init__(self):
        FileLineAnalyzer.__init__(self,titles=["Local","Global","Cumulative"])
        self.exp=re.compile(self.continutityRegExp)

    def doAnalysis(self,line):
        m=self.exp.match(line)
        if m!=None:
            self.files.write("continuity",self.parent.getTime(),m.groups())
            
    
