"""Line analyzer with output"""

import re

from LogLineAnalyzer import LogLineAnalyzer
from PyFoam.Basics.OutFileCollection import OutFileCollection

class FileLineAnalyzer(LogLineAnalyzer):
    """Base class for analyzers that write data to files"""
    
    def __init__(self,titles=[]):
        """
        @param titles: The titles of the data elements
        """
        LogLineAnalyzer.__init__(self)

        self.files=None
        self.setTitles(titles)
        
    def setTitles(self,titles):
        """
        Sets the titles anews
        @param titles: the new titles
        """
        self.titles=titles
        if self.files!=None:
            self.files.setTitles(titles)
            
    def setDirectory(self,oDir):
        """Creates the OutFileCollection-object"""
        self.files=OutFileCollection(oDir,titles=self.titles)
        
