"""Analyze information from the linear solver"""

import re

from FileLineAnalyzer import FileLineAnalyzer

class LinearSolverLineAnalyzer(FileLineAnalyzer):
    """Parses for information about the linear solver

    Files of the form linear_<var> are written, where <var> is the
    variable for which the solver was used"""

    linearRegExp="^(.+):  Solving for (.+), Initial residual = (.+), Final residual = (.+), No Iterations (.+)$"
    
    def __init__(self):
        FileLineAnalyzer.__init__(self,titles=["Initial","Final","Iterations"])
        self.exp=re.compile(self.linearRegExp)

    def doAnalysis(self,line):
        m=self.exp.match(line)
        if m!=None:
            solver=m.groups()[0]
            name=m.groups()[1]
            rest=m.groups()[2:]
            self.files.write("linear_"+name,self.getTime(),rest)
            
    
