"""Analyze standard solver"""

from FoamLogAnalyzer import FoamLogAnalyzer

from ContinuityLineAnalyzer import ContinuityLineAnalyzer
from LinearSolverLineAnalyzer import LinearSolverLineAnalyzer
from ExecutionTimeLineAnalyzer import ExecutionTimeLineAnalyzer

class StandardLogAnalyzer(FoamLogAnalyzer):
    """
    The analyzer for the most common OpenFOAM solvers

    It checks:
     - Continuity
     - the Linear solvers
     - Execution time
    """
    def __init__(self,progress=False):
        """
        @param progress: Print time progress on console?
        """
        FoamLogAnalyzer.__init__(self,progress=progress)

        self.addAnalyzer("Continuity",ContinuityLineAnalyzer())
        self.addAnalyzer("Linear",LinearSolverLineAnalyzer())
        self.addAnalyzer("Execution",ExecutionTimeLineAnalyzer())
