"""Working with direcotries from a time-step"""

from os import listdir

class TimeDirectory:
    """Represents a directory for a timestep"""

    def __init__(self,name):
        """name - name of the time directory"""

        self.name=name

        self.values=[]

        self.reread()

    def reread(self):
        """Scan the directory for files with valid names"""
        
        self.values=[]

        for f in listdir(self.name):
            if f[-1]=='~':   # Emacs Backup
                pass
            else:
                nm=f
                if len(nm)>3:
                    if nm[-3:]==".gz":
                        nm=nm[:-3]
                self.values.append(nm)
        
    def getFiles(self):
        """Get a list of the solution files in that directory"""

        return self.values
    
